GLM: GLM_GTX_matrix_operation

GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_matrix_operation
GTX Extensions (Experimental)

## Functions
template<typename T , precision P>
detail::tmat2x2< T, P > | diagonal2x2 (detail::tvec2< T, P > const &v)
template<typename T , precision P>
detail::tmat2x3< T, P > | diagonal2x3 (detail::tvec2< T, P > const &v)
template<typename T , precision P>
detail::tmat2x4< T, P > | diagonal2x4 (detail::tvec2< T, P > const &v)
template<typename T , precision P>
detail::tmat3x2< T, P > | diagonal3x2 (detail::tvec2< T, P > const &v)
template<typename T , precision P>
detail::tmat3x3< T, P > | diagonal3x3 (detail::tvec3< T, P > const &v)
template<typename T , precision P>
detail::tmat3x4< T, P > | diagonal3x4 (detail::tvec3< T, P > const &v)
template<typename T , precision P>
detail::tmat4x2< T, P > | diagonal4x2 (detail::tvec2< T, P > const &v)
template<typename T , precision P>
detail::tmat4x3< T, P > | diagonal4x3 (detail::tvec3< T, P > const &v)
template<typename T , precision P>
detail::tmat4x4< T, P > | diagonal4x4 (detail::tvec4< T, P > const &v)

## Detailed Description

Build diagonal matrices from vectors.

<glm/gtx/matrix_operation.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tmat2x2<T, P> glm::diagonal2x2 | ( | detail::tvec2< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat2x3<T, P> glm::diagonal2x3 | ( | detail::tvec2< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat2x4<T, P> glm::diagonal2x4 | ( | detail::tvec2< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat3x2<T, P> glm::diagonal3x2 | ( | detail::tvec2< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat3x3<T, P> glm::diagonal3x3 | ( | detail::tvec3< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat3x4<T, P> glm::diagonal3x4 | ( | detail::tvec3< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat4x2<T, P> glm::diagonal4x2 | ( | detail::tvec2< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat4x3<T, P> glm::diagonal4x3 | ( | detail::tvec3< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat4x4<T, P> glm::diagonal4x4 | ( | detail::tvec4< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.